/*
 *   jack-ladspa-host
 *    
 *   Copyright (C) Robert Ham 2002 (node@users.sourceforge.net)
 *    
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __JLH_XMALLOC_H__
#define __JLH_XMALLOC_H__

#include <stdlib.h>
#include <stdio.h>

void * xmalloc (size_t size) {
  void * ptr;
  
  ptr = malloc (size);
  
  if (!ptr) {
    fprintf (stderr, "%s: could not allocate memory; exiting\n",
             __FUNCTION__);
    exit (1);
  }
  
  return ptr;
}

#endif /* __JLH_XMALLOC_H__ */
